Run of fresh-releases for google-nexus-tools

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
[2022-09-14 03:29:58] Opening branch at https://gitlab.com/kalilinux/packages/google-nexus-tools.git/,branch=kali%2Fmaster
[2022-09-14 03:29:59] Using cached branch file:///home/janitor/vcs/git/google-nexus-tools/,branch=kali%2Flatest
[2022-09-14 03:30:11] Total 7 (delta 0), reused 0 (delta 0), pack-reused 7
[2022-09-14 03:30:11] Workspace ready - starting.
[2022-09-14 03:30:11] Running ['deb-new-upstream', '--debian-revision=0kali1', '--require-uscan', '--refresh-patches']
[2022-09-14 03:30:11] Assuming changelog does not need to be updated, since there is a [dch] section in gbp.conf.
Using upstream branch https://github.com/corbindavenport/nexus-tools.git (from configuration)
Total 1035 (delta 193), reused 323 (delta 192), pack-reused 639
Using version string 5.4.
No upstream upstream-revision format specified, trying tag:2.3
Not including upstream history, since previous upstream version (2.3) is not present in packaging branch history.
Using uscan to look for the upstream tarball.
Use of uninitialized value in concatenation (.) or string at /usr/share/perl5/Devscripts/Uscan/WatchLine.pm line 868.
Imported google-nexus-tools_5.4.orig.tar.gz with pristine-tar.
All changes applied successfully.
Found tag for topmost changelog version '6f35ced1925e3e55a0c7e042078948da17c9963a'
Committing to: /home/janitor/tmp/janitordmxerv5i/google-nexus-tools/
added .github
added .github/workflows
added .github/workflows/compile.yaml
added .gitignore
added DONATE.md
modified README.md
added analysis_options.yaml
deleted bin/linux-arm-adb
deleted bin/linux-arm-fastboot
deleted bin/linux-i386-adb
deleted bin/linux-i386-fastboot
deleted bin/mac-adb
deleted bin/mac-fastboot
added bin/main.dart
added compile.ps1
added compile.sh
modified debian/changelog
added install.ps1
modified install.sh
added lib
added lib/sys.dart
added pubspec.lock
added pubspec.yaml
deleted udev.txt
modified uninstall.sh
Committed revision 26.
Merged new upstream version 5.4 (previous: 2.3)
Merge new upstream version 5.4
[2022-09-14 03:31:21] Actual command: ['deb-new-upstream', '--debian-revision=0kali1', '--require-uscan', '--refresh-patches']
[2022-09-14 03:31:21] Opened schroot session kali-dev-amd64-sbuild-01ad4e62-6334-47d6-98fa-f1db66f5e1e3 (from kali-dev-amd64-sbuild)
[2022-09-14 03:31:22] Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), SimpleBuildFixer(DebcargoUnacceptablePredicate, debcargo_coerce_unacceptable_prerelease), SimpleBuildFixer(DebcargoUnacceptableComparator, debcargo_coerce_unacceptable_prerelease), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver(<ognibuild.debian.apt.AptManager object at 0x7f1f5c164630>, [functools.partial(<function python_tie_breaker at 0x7f1f4ff0c8c8>, <GitWorkingTree of /home/janitor/tmp/janitordmxerv5i/google-nexus-tools>, ''), BuildDependencyTieBreaker('/var/run/schroot/mount/kali-dev-amd64-sbuild-01ad4e62-6334-47d6-98fa-f1db66f5e1e3'), <function popcon_tie_breaker at 0x7f1f4ff08d90>]))]
[2022-09-14 03:31:22] Building debian packages, running 'sbuild -Asv --dpkg-file-suffix=+jan --force-orig-source --source-only-changes'.
Traceback (most recent call last):
  File "/opt/janitor/ognibuild/ognibuild/debian/build.py", line 211, in build
    env=env
  File "/usr/lib/python3.7/subprocess.py", line 347, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['/usr/bin/python3', '-m', 'breezy', 'builddeb', '--guess-upstream-branch-url', '--builder=sbuild -Asv --dpkg-file-suffix=+jan --force-orig-source --source-only-changes', '--result-dir=/home/janitor/tmp/janitordmxerv5i']' returned non-zero exit status 3.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/janitor/ognibuild/ognibuild/debian/build.py", line 238, in build_once
    extra_repositories=extra_repositories,
  File "/opt/janitor/ognibuild/ognibuild/debian/build.py", line 214, in build
    raise BuildFailedError()
breezy.plugins.debian.builder.BuildFailedError: The build failed.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/janitor/buildlog-consultant/buildlog_consultant/common.py", line 945, in match
    err = self.cb(m)
  File "/opt/janitor/buildlog-consultant/buildlog_consultant/common.py", line 231, in file_not_found
    if m.group(1).startswith("/") and not m.group(1).startswith("/<<PKGBUILDDIR>>"):
IndexError: no such group

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/janitor/janitor/worker.py", line 1059, in run_worker
    force_build=force_build
  File "/usr/lib/python3.7/contextlib.py", line 112, in __enter__
    return next(self.gen)
  File "/opt/janitor/janitor/worker.py", line 803, in process_package
    ws, subpath, output_directory, env)
  File "/opt/janitor/janitor/worker.py", line 396, in build
    max_iterations=MAX_BUILD_ITERATIONS
  File "/opt/janitor/ognibuild/ognibuild/debian/fix_build.py", line 545, in build_incrementally
    extra_repositories=extra_repositories,
  File "/opt/janitor/ognibuild/ognibuild/debian/build.py", line 315, in attempt_build
    extra_repositories=extra_repositories,
  File "/opt/janitor/ognibuild/ognibuild/debian/build.py", line 242, in build_once
    sbuild_failure = worker_failure_from_sbuild_log(f)
  File "/opt/janitor/buildlog-consultant/buildlog_consultant/sbuild.py", line 901, in worker_failure_from_sbuild_log
    sbuildlog, failed_stage
  File "/opt/janitor/buildlog-consultant/buildlog_consultant/sbuild.py", line 750, in find_failure_build
    match, error = find_build_failure_description(section_lines)
  File "/opt/janitor/buildlog-consultant/buildlog_consultant/common.py", line 3971, in find_build_failure_description
    linenos, err = matcher.match(lines, lineno)
  File "/opt/janitor/buildlog-consultant/buildlog_consultant/common.py", line 949, in match
    self.regexp, lines[i], m, e))
buildlog_consultant.common.MatcherError: Error while matching re.compile("[^:]+: cannot stat \\'.*\\': No such file or directory") against "install: cannot stat 'bin/linux-i386-adb': No such file or directory\n" (<re.Match object; span=(0, 68), match="install: cannot stat 'bin/linux-i386-adb': No suc>): IndexError('no such group')
Full worker log

Publish Blockers

  • ☒ run was not successful
  • ☑ package has not been removed from the archive
  • ☒ command changed from DEB_UPDATE_CHANGELOG=auto deb-new-upstream --debian-revision=0kali1 --require-uscan --refresh-patches to deb-new-upstream --debian-revision=0kali1 --require-uscan --refresh-patches --skip-empty
  • ☑ review not required
  • ☑ 0 publish attempts so far.not currently attempting to back off
  • ☑ proposals not currently being rate-limited for maintainer None
  • ☑ change set 52ae6759-3ad1-45cf-9800-dd91acdaae34 is ready
  • ☑ no relevant previous merge proposals